Bug 195907 - /sbin/loader doesn't pay attention to ksdevice=macaddress
/sbin/loader doesn't pay attention to ksdevice=macaddress
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-19 10:41 EDT by Bill Peck
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-20 12:46:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2006-06-19 10:41:28 EDT
Description of problem:
When using kickstart the anaconda loader doesn't pay attention to the
ksdevice=macaddress keywords.

Version-Release number of selected component (if applicable):
nightly/rawhide-20060619

How reproducible:
Everytime

Steps to Reproduce:
1. kickstart install on a host with more than one ethernet device
2. provide ksdevice=<MACADDRESS> on the cmdline
3. Anaconda will still prompt for which nic card.
  

Additional info:
Console log showing the problem...
http://rhts.lab.boston.redhat.com/cgi-bin/rhts/test_log.cgi?id=770392
Comment 1 David Cantrell 2006-06-19 10:53:09 EDT
I can add support for this method, but don't open a bug asking to specify the
ethernet card by PCI device ID or something.
Comment 2 Bill Peck 2006-06-19 12:19:46 EDT
Just to clarify this is a regression.  This used to work.  So no I won't open a
bug asking for pci device or id..  I don't understand why you would even state
that? I'm just asking for functionality that was present to be added back.  
Comment 3 David Cantrell 2006-06-19 12:24:15 EDT
Right.  Don't take what I said to mean anything.  I think I got up on the wrong
side of the bed this morning.
Comment 4 David Cantrell 2006-06-20 12:46:00 EDT
Fixed in rawhide now.

Note You need to log in before you can comment on or make changes to this bug.